## e2fsprogs 1.46.5

=== debian/changelog ===
e2fsprogs (1.46.5-2ubuntu1.2) jammy; urgency=medium

  * Fix superblock checksum mismatch during resize2fs operations,
    most notably during online resize of cloud images during boot.
    Read the superblock with Direct I/O to ensure we get the correct
    view of the disk. (LP: #2036467)
    - lp2036467-resize2fs-use-Direct-I-O-when-reading-the-superblock.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Mon, 09 Oct 2023 14:50:10 +1300

e2fsprogs (1.46.5-2ubuntu1.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read/write vulnerability
    Issue leads to segmentation fault and possibly arbitrary code
    execution via a specially crafted filesystem.
    - debian/patches/CVE-2022-1304.patch: checks that all leaf nodes of
      file system contain at least one extent.
    - CVE-2022-1304

 -- Mark Esler <mark.esler@canonical.com>  Wed, 01 Jun 2022 18:15:15 -0500

e2fsprogs (1.46.5-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jan 2022 21:02:36 +0100

e2fsprogs (1.46.5-2) unstable; urgency=medium

  * Fix build on GNU/kFreeBSD (caused by the fact that the Debian port has
    an ancient version of coreutils, so the timeout program doesn't support
    the -v option.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 03 Jan 2022 23:48:13 -0500

e2fsprogs (1.46.5-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jan 2022 22:41:06 +0100

e2fsprogs (1.46.5-1) unstable; urgency=medium

  * New upstream release
  * Resize2fs will automatically drop one block group (128M) if that will
    allow a resize operation to succeed when it would have failed due to
    running afoul of the 2**32 inode count limit.
  * Fix resize2fs -P so it won't potentially loop forever when the file
    system is corrupted
  * E2fsck will now automatically update the block group checksum when
    fixing a problem in a block group descriptor
  * Fix error handling in the unix_io module which could cause e2fsck
    to deadlock in the face of I/O errors.
  * Fix a bug in e2fsck fast commit handling which could result it in
    crashing in some rare cases.
  * Fix e2fsck and tune2fs's handling of quota limits, which previously
    could get lost.
  * Correct the report header printed by debugfs's get_quota and
    list_quota commands.
  * Speed up off-line resizing of very large file system.
  * Fixed spelling mistakes in the mke2fs.conf man page.
  * Update Chinese, Malay, Serbian, Spanish, Swedish, and Ukrainian
    translations.
  * Update the Debian policy compliance to 4.6.0.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 30 Dec 2021 00:35:14 -0500

e2fsprogs (1.46.4-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 09:32:13 +0100

e2fsprogs (1.46.4-1) unstable; urgency=medium

  * New upstream release
  * Mke2fs now creates 256 byte inodes by default for all non-GNU Hurd
    file systems.   (Previously small file systems would be created
    using 128 byte inodes.)
  * The bigalloc feature is now considered supported when the cluster
    size is no more than 16 times the block size.
  * E2fsck now checks to make sure directory entries do not reference
    internal quota inodes.
  * E2image now includes the quota inodes when creating file system image,
    since they are part of the file system metadata.
  * E2fsck now properly accounts the quota usage of the project quota file.
  * Fix a regression so mke2fs can create a file system into non-existent
    file (Closes: #992094)
  * Fix mke2fs to correctly create Posix ACL's on big-endian systems when
    copying files from a directory hierarchy.
  * Fix FTBFS caused by test failures on big-endian systems.
    (Closes: #991922)
  * Fix FTBFS on GNU Hurd
  * Use WantedBy=multi-user.target in e2scrub_reap.service.
    (Closes: #991349)
  * Updated and clarified the resize2fs man page.  (Closes: #979411)
  * Update Czech, Dutch, French, Polish, Portuguese, and Swedish
    translations.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 18 Aug 2021 22:47:40 -0400
