## e2fsprogs 1.46.6

=== debian/changelog ===
e2fsprogs (1.46.6-1~bpo11+1) unstable; urgency=medium

  * Rebuild for bullseye-backports.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 05 Feb 2023 15:19:15 -0500

e2fsprogs (1.46.6-1) unstable; urgency=medium

  * New upstream version
  * NMU acknowledge (Closes: #1022096)
  * In line with v6.2 and later Linux kernel, the extended xattribute hash
    may be calculated using either the signed or unsigned char variant,
    but new xattr entries will be set using the unsigned variant.  Since
    this difference is only seen for extended attribute names that contain
    non-ASCII characters, the fact that we had a signed vs unsigned char
    dependency was not noticed for over two decades.
  * E2fsck will now check to make sure the journal inode does not have the
    encrypt flag set.
  * Fuse2fs now supports an offset=<bytes> option which allows
    operating on a file system image which is located starting at the
    specified offset from the beginning of the image.
  * Fix a deadlock bug in e2fsck's error handler when there are errors
    trying to write to the file system.
  * Fix a bug in tune2fs which could cause it to crash if device goes
    off-line just as it being opened.
  * Improve error messages issued by badblocks and tune2fs.
  * Fix a crash in badblocks when the user specifies an overly large
    number of blocks tested at a time in read/write or nondestructive
    mode.
  * Speed up e2fsck's clonning of multiply-claimed blocks so it is
    substantially faster on very large file systems.
  * Don't fail when the source directory for mke2fs -d doesn't support
    extended attributes.
  * Update Chinese, Czech, Dutch, French, German, Malay, Polish, Serbian,
    Spanish, Swedish, and Ukrainian translations.
  * Update the Debian policy compliance to 4.6.1.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 02 Feb 2023 00:38:18 -0500

e2fsprogs (1.46.6~rc1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert copyright files to machine-readable format, adding the missing
    licenses and copyright information  (Closes: #1022096)

 -- Bastian Germann <bage@debian.org>  Tue, 03 Jan 2023 14:31:18 +0100

e2fsprogs (1.46.6~rc1-1) unstable; urgency=medium

  * Trial upstream release for 1.46.6
  * Debugfs's ncheck command now allows the inode number to be surrounded
    by angle brackets
  * Debugfs -c no longer prints a scary message on startup
  * Resize2fs will round down the requested new file system size to the
    nearest cluster boundary when resizing bigalloc file systems
  * Avoid triggering udev in dumpe2fs and "resize2fs -P" for file systems
    with MMP enabled
  * Fix tune2fs so it will detect another device stealing the MMP sessions
    while rewriting metadata checksums.
  * Fix a bug where e2fsck could fail when specifying an undo file and an
    explicit superblock number
  * Fix e2image so it won't potentially loop forever for certain invalid
    file systems
  * Resize2fs now honors the E2FSPROGS_FAKE_TIME environment variable
  * Fix tune2fs, fuse2fs, and debugsfs to update j_tail_sequence when
    replaying the journal
  * Add additional bullet-proofing for very badly corrupted file systems
    (Addresses CVE-2022-1304)  (Closes: #1010263)
  * Check for and handle malloc() failures when computing the log filename
    in e2fsck and in the libss library
  * Tune2fs and e2fsck to accept pathames which include '=' characters
  * Update and clarify's chattr's man page and usage message
  * Fix tune2fs to avoid a crash if the journal replay fails and to make
    sure its exit status is non-zero if there is some failure.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 12 Sep 2022 08:27:55 -0400

e2fsprogs (1.46.5-2~bpo11+2) bullseye-backports; urgency=medium

  * Rebuild without using digt so that the build schroot *actually* gets
    used.  (Closes: #1003583)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 12 Jan 2022 12:31:42 -0500

e2fsprogs (1.46.5-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 06 Jan 2022 15:32:24 -0500

e2fsprogs (1.46.2-1~bpo10+2) buster-backports; urgency=medium

  * Rebuild to fix incorrect build environment for x86_64 (no source
    changes were needed between 1.46.2-1~bpo10+1 and 1.46.2-1~bpo10+2)
    (Closes: #985296)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 18 Mar 2021 19:44:28 -0400

e2fsprogs (1.46.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 11 Mar 2021 09:02:02 -0500

e2fsprogs (1.46.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 16 Feb 2021 13:47:36 -0500

e2fsprogs (1.45.5-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 25 Jan 2020 11:40:10 -0500

e2fsprogs (1.45.3-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu, 01 Aug 2019 22:34:56 -0400
