## e2fsprogs 1.47.0

=== debian/changelog ===
e2fsprogs (1.47.0-2.4~exp1ubuntu4) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:38:40 +0200

e2fsprogs (1.47.0-2.4~exp1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:33:00 +0000

e2fsprogs (1.47.0-2.4~exp1ubuntu2) noble; urgency=medium

  * Make the provides for the renamed packages versioned.
  * Break against the first version not building the t64 packages anymore.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 21:22:45 +0100

e2fsprogs (1.47.0-2.4~exp1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 12 Mar 2024 11:31:16 -0600

e2fsprogs (1.47.0-2.4~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Revert time64 transitions for libss2 and libcom-err2.
  * Enable dh_movetousr (DEP17). (Closes: #1060000)
    + Mitigate file loss in libext2fs2 -> libext2fs2t64 upgrade and /usr-move.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 10 Mar 2024 21:02:48 +0100

e2fsprogs (1.47.0-2.3ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 08:18:05 +0100

e2fsprogs (1.47.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix package names in d/*.shlibs.local. (Closes: #1065087)
  * Update sonames in d/libext2fs2t64.lintian-overrides.
  * Fix packages names in code for updating symbols fies in d/rules.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 01 Mar 2024 08:01:06 +1300

e2fsprogs (1.47.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1053111)

  [ Michael Hudson-Doyle ]
  * Account for changes in udevudevdir as well.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 23:40:42 +0000

e2fsprogs (1.47.0-2ubuntu1) mantic; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2023 13:26:17 -0500

e2fsprogs (1.47.0-2) unstable; urgency=medium

  * Don't enable metadata_csum_seed and orhpan_file by default (Closes:
    #1031622, #1030939)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 04 Mar 2023 22:16:08 -0500

e2fsprogs (1.47.0-1ubuntu2) mantic; urgency=medium

  * Temporarily disable orphan_file by default, such that fsck from jammy
    can check ext4 created in mantic. Given the new incompat ext4 features
    that v5.15 & hwe kernels support, ideally e2fsprogs 1.47.0 should be
    SRUed into jammy. LP: #2025339

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 29 Jun 2023 10:14:32 +0100

e2fsprogs (1.47.0-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.
  * Disable the metadata_csum_seed feature again, as grub does not yet
    support it (Closes: #866603)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 17 Feb 2023 11:58:55 +0100

e2fsprogs (1.47.0-1) unstable; urgency=medium

  * New upstream version
  * Add support for the new orphan_file feature, which speeds up workloads
    that are deleting or truncating a large number files in parallel.
  * Mke2fs now enables the orphan_file and metadata_csum_seed feature.
  * Mke2fs now supports the extended option "assume_storage_prezeroed"
    which causes mke2fs to skip zeroing the journal and inode tables and
    to mark the inode tables as zeroed.
  * Tune2fs and e2label will more reliably modify the label and UUID for a
    mounted file system using new kernel ioctls.
  * Tune2fs can now disable the casefold feature after scanning all of the
    directories do not have the casefold flag set.
  * Fix a potential unbalanced mutex unlock when there is a short read
    while using the bounce buffer when using direct I/O.
  * Update to standards 4.6.2

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 06 Feb 2023 22:07:49 -0500

e2fsprogs (1.46.6~rc1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use 4k blocksize in all ext4 mke2fs.conf stanzas, so lvm migration
      between non-4k PVs and 4k PVs works regardless of the volume size.
  * Dropped changes (applied in Debian):
    - 0001-tests-support-older-versions-of-timeout-in-r_corrupt
    - CVE-2022-1304.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 22 Nov 2022 15:15:27 +0100

e2fsprogs (1.46.5-2ubuntu2) kinetic; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read/write vulnerability
    Issue leads to segmentation fault and possibly arbitrary code
    execution via a specially crafted filesystem.
    - debian/patches/CVE-2022-1304.patch: checks that all leaf nodes of
      file system contain at least one extent.
    - CVE-2022-1304

 -- Mark Esler <mark.esler@canonical.com>  Thu, 02 Jun 2022 22:03:15 -0500
