=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: e2fsprogs
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
-Build-Depends: dpkg-dev (>= 1.22.5), gettext, texinfo, pkg-config, libfuse-dev [linux-any kfreebsd-any] <!pkg.e2fsprogs.no-fuse2fs>, debhelper-compat (= 12), dh-exec, libblkid-dev, uuid-dev, m4, udev [linux-any], systemd [linux-any], systemd-dev [linux-any], cron [linux-any], dh-sequence-movetousr
+Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
+Build-Depends: gettext, texinfo, pkgconf, libarchive-dev <!nocheck>, libfuse3-dev [linux-any kfreebsd-any] <!pkg.e2fsprogs.no-fuse2fs>, debhelper-compat (= 12), dh-exec, libblkid-dev, uuid-dev, m4, udev [linux-any], systemd [linux-any], cron [linux-any]
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://e2fsprogs.sourceforge.net
 Vcs-Browser: https://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git
 Vcs-Git: https://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git -b debian/master
@@ -14,11 +13,22 @@
 Build-Profiles: <!pkg.e2fsprogs.no-fuse2fs>
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: fuseext2 (<< 1.47.1-2~)
+Replaces: fuseext2 (<< 1.47.1-2~)
 Architecture: linux-any kfreebsd-any
 Description: ext2 / ext3 / ext4 file system driver for FUSE
  fuse2fs is a FUSE file system client that supports reading and
  writing from devices or image files containing ext2, ext3, and ext4
  file systems.
+
+Package: fuseext2
+Build-Profiles: <!pkg.e2fsprogs.no-fuse2fs>
+Depends: fuse2fs (>= 1.47.1-2), ${misc:Depends}
+Architecture: all
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
 
 Package: logsave
 Priority: optional
@@ -69,9 +79,9 @@
 Section: libs
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libcom-err2t64, libcomerr2 (<< 1.43.9-1~)
-Breaks: libcom-err2t64 (<< 1.47.0-2.4~exp1), libcomerr2 (<< 1.43.9-1~)
-Provides: libcom-err2t64 (= ${binary:Version}), libcomerr2 (= ${binary:Version})
+Replaces: libcomerr2 (<< 1.43.9-1~)
+Breaks: libcomerr2 (<< 1.43.9-1~)
+Provides: libcomerr2 (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -96,12 +106,10 @@
  This package contains the development environment for the com_err library.
 
 Package: libss2
-Provides: libss2t64 (= ${binary:Version})
-Breaks: libss2t64 (<< 1.47.0-2.4~exp1)
 Section: libs
 Priority: optional
 Depends: libcom-err2, ${shlibs:Depends}, ${misc:Depends}
-Replaces: libss2t64, e2fsprogs (<< 1.34-1)
+Replaces: e2fsprogs (<< 1.34-1)
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -141,13 +149,13 @@
  Don't attempt to install this package, it has no support for a couple of
  features you surely want.  Anyway it should refuse to install.
 
-Package: libext2fs2t64
+Package: libext2fs2
 Section: libs
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libext2fs2, e2fslibs (<< 1.43.9-1~)
-Breaks: libext2fs2 (<< ${source:Version}), e2fslibs (<< 1.43.9-1~)
-Provides: ${t64:Provides}, e2fslibs (= ${binary:Version})
+Breaks: e2fslibs (<< 1.43.9-1~)
+Provides: e2fslibs (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -164,7 +172,7 @@
 Package: libext2fs-dev
 Section: libdevel
 Priority: optional
-Depends: libc6-dev | libc-dev, comerr-dev, libext2fs2t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libc6-dev | libc-dev, comerr-dev, libext2fs2 (= ${binary:Version}), ${misc:Depends}
 Replaces: e2fslibs-dev (<< 1.43.9-1~)
 Breaks: e2fslibs-dev (<< 1.43.9-1~)
 Provides: e2fslibs-dev (= ${binary:Version})
